# -*- coding: utf-8 -*-
from distutils.core import setup

packages = \
['odd',
 'odd.check',
 'odd.data',
 'odd.data.relaxng',
 'odd.data.relaxng.v10',
 'odd.data.relaxng.v11',
 'odd.data.relaxng.v12',
 'odd.data.relaxng.v13',
 'odd.data.relaxng.v8',
 'odd.data.relaxng.v9']

package_data = \
{'': ['*']}

install_requires = \
['defusedxml==0.6.0', 'lxml==4.4.0', 'parso==0.5.1', 'yarl==1.3.0']

entry_points = \
{'console_scripts': ['odd = odd.main:main'],
 'odd.artifact_type': ['addon = odd.addon:Addon',
                       'addon_path = odd.check.path_emitter:AddonPath',
                       'csv_row = odd.check.csv_row_emitter:CSVRow',
                       'data_file = odd.check.addon_file_emitter:DataFile',
                       'demo_file = odd.check.addon_file_emitter:DemoFile',
                       'external_id = odd.check.external_id_emitter:ExternalID',
                       'external_id_reference = '
                       'odd.check.external_id_emitter:ExternalIDReference',
                       'field_definition = '
                       'odd.check.python_emitter:FieldDefinition',
                       'model_definition = '
                       'odd.check.python_emitter:ModelDefinition',
                       'python_module = odd.check.python_emitter:PythonModule',
                       'xml_record = odd.check.xml_tree_emitter:XMLRecord',
                       'xml_tree = odd.check.xml_tree_emitter:XMLTree'],
 'odd.check': ['addon_file_emitter = '
               'odd.check.addon_file_emitter:AddonFileEmitter',
               'addon_path_emitter = odd.check.path_emitter:AddonPathEmitter',
               'attribute_override = odd.check:AttributeOverride',
               'button_classes = odd.check:ButtonClasses',
               'csv_row_emitter = odd.check.csv_row_emitter:CSVRowEmitter',
               'data_element_parent = odd.check:DataElementParent',
               'data_file_inclusion = odd.check:DataFileInclusion',
               'directory_permissions = odd.check:DirectoryPermissions',
               'duplicate_record_fields = odd.check:DuplicateRecordFields',
               'duplicate_view_fields = odd.check:DuplicateViewFields',
               'external_id_emitter = '
               'odd.check.external_id_emitter:ExternalIDEmitter',
               'field_attr_string_redundant = '
               'odd.check:FieldAttrStringRedundant',
               'field_attrs = odd.check:FieldAttrs',
               'field_definition_emitter = '
               'odd.check.python_emitter:FieldDefinitionEmitter',
               'file_permissions = odd.check:FilePermissions',
               'ir_cron_state_code = odd.check:IrCronStateCode',
               'ir_model_access_no_group = odd.check:IrModelAccessNoGroup',
               'legacy_import = odd.check:LegacyImport',
               'manifest_filename = odd.check:ManifestFilename',
               'manifest_keys = odd.check:ManifestKeys',
               'missing_dependency = odd.check:MissingDependency',
               'model_definition_emitter = '
               'odd.check.python_emitter:ModelDefinitionEmitter',
               'new_model_description = odd.check:NewModelDescription',
               'new_model_no_ir_model_access = '
               'odd.check:NewModelNoIrModelAccess',
               'noupdate = odd.check:NoUpdate',
               'python_emitter = odd.check.python_emitter:PythonEmitter',
               'redundant_t_attf = odd.check:RedundantTAttf',
               'relaxng = odd.check:RelaxNG',
               'relaxng_view = odd.check:RelaxNGView',
               'route_kwargs = odd.check:RouteKwargs',
               'search_string = odd.check:SearchString',
               'track_visibility_always = odd.check:TrackVisibilityAlways',
               'tree_attrs = odd.check:TreeAttrs',
               'unittest_testcase_tagged = odd.check:UnitTestTestCaseTagged',
               'xml_operation_no_id = odd.check:XMLOperationNoID',
               'xml_tree_emitter = odd.check.xml_tree_emitter:XMLTreeEmitter']}

setup_kwargs = {
    'name': 'odd',
    'version': '0.0.1a1',
    'description': 'odd, the Odoo linter',
    'long_description': '.. image:: https://travis-ci.org/naglis/odd.svg?branch=master\n   :alt: Build Status\n   :target: https://travis-ci.org/naglis/odd\n\n.. image:: https://codecov.io/gh/naglis/odd/branch/master/graph/badge.svg\n   :alt: Code Coverage\n   :target: https://codecov.io/gh/naglis/odd\n\n.. image:: https://img.shields.io/badge/python-3.7-green.svg\n   :alt: Python 3.7\n\nodd\n===\n\nodd, the Odoo linter\n',
    'author': 'Naglis Jonaitis',
    'author_email': 'hello@naglis.me',
    'url': 'https://github.com/naglis/odd',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
